import { request } from '@/api/_service'

const BASE = 'report/'

function apiParams (method, data = {}) {
  return { method, platform: 'api', ...data }
}

export function getEquipmentHistoryList (data) {
  return request({
    url: BASE + 'device/log',
    method: 'post',
    data: apiParams('get.device.status.log', data)
  })
}
